---
title: Tables
slug: MDN/Editor/Tables
tags:
  - Guide
  - MDN Meta
  - editor
---
<div>{{MDNSidebar}}</div><p><span class="seoSummary">Tables are a useful way to present information; this article covers how to create and maintain tables on MDN and when you should and should not use them.</span></p>

<p>On MDN, we use tables primarily when presenting lists of information with more than two pieces of information per data point. If you're creating a list of items with a name and a value, you should typically use a definition list instead of a table; that is, we prefer to avoid using two-column tables. This is primarily because tables can be difficult to display and to read on mobile devices, so we try to avoid them when possible.</p>

<p>Please see the <a href="/en-US/docs/MDN/Contribute/Guidelines/Writing_style_guide" title="/en-US/docs/Project:MDN/Style_guide">MDN style guide</a> for details on use of tables and their proper formatting; however, let's look at the actual technique by which you insert and edit tables.</p>

<h2 id="Creating_a_table">Creating a table</h2>

<p>To insert a new table, click the <strong>Table</strong> button in the toolbar, which looks like this: <img alt="as of Aug-2017" src="https://mdn.mozillademos.org/files/15297/table%20icon.png" style="height: 14px; width: 15px;"></p>

<p>The <strong>Table Properties</strong> dialog box opens:</p>

<p><img alt="Screenshot of the Table Properties dialog box's Table Properties tab" src="https://mdn.mozillademos.org/files/15299/Table%20properties%20dialog%20box.png" style="border-style: solid; border-width: 1px; height: 363px; width: 295px;"></p>

<p>There are two tabs here: <strong>Table Properties</strong> and <strong>Advanced</strong>.</p>

<h3 id="Table_Properties_tab">Table Properties tab</h3>

<p>This tab is where you'll do most of your work configuring the table, as there are very few items in the <strong>Advanced</strong> tab that we recommend using. The options here are:</p>

<dl>
 <dt>Rows</dt>
 <dd>The number of rows in your table. You may add more rows while in the editor, but this lets you quickly configure your table.</dd>
 <dt>Columns</dt>
 <dd>The number of columns in your table.</dd>
 <dt>Headers</dt>
 <dd>Lets you configure where your headers are, if any. By default, no header cells are added to your table; however, we generally prefer that tables have headers, so you should change this most of the time. The possible values are <strong>None</strong>, <strong>First row</strong>, <strong>First column</strong>, and <strong>Both</strong>.</dd>
 <dt>Alignment</dt>
 <dd>Lets you align the table along the left, right, or center of the article. <strong>Please do not use this option.</strong> Our style guide specifies that tables should always be left-aligned. There are very few exceptions to this rule.</dd>
 <dt>Caption</dt>
 <dd>You may choose to add a caption to your table; however, we do not usually do so on MDN, so you will probably leave this blank.</dd>
 <dt>Summary</dt>
 <dd>You should typically leave this blank, as you should be providing appropriate explanatory text adjacant to your table.</dd>
</dl>

<h3 id="Advanced_tab">Advanced tab</h3>

<p>The <strong>Advanced</strong> tab provides a few additional options, most of which we don't use on MDN and will likely remove in the future.</p>

<p><img alt="Screenshot of the Table Properites dialog box's Advanced tab" src="https://mdn.mozillademos.org/files/15301/table%20properties%20advanced%20tab.png" style="border-style: solid; border-width: 1px; height: 360px; width: 296px;"></p>

<p>As you see here, there are only four options; they are:</p>

<dl>
 <dt>Id</dt>
 <dd>The {{HTMLElement("table")}} element's <code>id</code>. We generally do not use IDs on tables on MDN.</dd>
 <dt>Language Direction</dt>
 <dd>Lets you establish the writing direction used in the table. This should be used only when localizing content.</dd>
 <dt>Style</dt>
 <dd>This field lets you hand-enter custom CSS. <strong>Do not use this field! We will probably remove your table if you do.</strong> We are trying to eliminate all uses of custom styles outside what's provided by our stylesheets.</dd>
 <dt>Stylesheet Classes</dt>
 <dd>This lets you specify a stylesheet class to use for the table. This should nearly always be "standard-table", which is our standard table class.</dd>
</dl>

<p>Once you've finished configuring your table, click the <strong>OK</strong> button to create it.</p>

<h2 id="Maintaining_tables">Maintaining tables</h2>

<p>Once a table has been created, working with it is very much like in any table editor, entering data into its cells. Pressing the tab key will advance you to the next cell in the table, wrapping to the next row if you're in the last cell in the row you're currently working on. If you're in the last cell of the last row when you press tab, a new row will be added to the end of the table, and the cursor will be placed in the first cell of the new row.</p>

<p>You may right-click on the table to get an assortment of options for adjusting the cells, rows, columns, and the table itself:</p>

<p><img alt="Screenshot of the Table context menu" src="https://mdn.mozillademos.org/files/15303/table%20context%20menu.png" style="height: 196px; width: 166px;"></p>

<dl>
 <dt>Paste</dt>
 <dd>On browsers that support pasting via script (some, including Firefox, do not, for security purposes), selecting this option pastes the contents of the clipboard at the current point in the table.</dd>
 <dt>Cell</dt>
 <dd>This submenu offers options related to the selected cell or cells. See {{anch("Cell options")}}.</dd>
 <dt>Row</dt>
 <dd>This submenu offers options related to the selected row or rows. See {{anch("Row options")}}.</dd>
 <dt>Column</dt>
 <dd>This submenu offers options related to the selected column or columns. See {{anch("Column options")}}.</dd>
 <dt>Delete Table</dt>
 <dd>Deletes the entire table.</dd>
 <dt>Sort Table</dt>
 <dd>Opens a dialog box providing options for sorting the contents of the table. See {{anch("Sorting tables")}} below.</dd>
 <dt>Table Properties</dt>
 <dd>Opens the same table properties dialog used to create a new table.</dd>
</dl>

<h3 id="Cell_submenu">Cell submenu</h3>

<p>The Cell submenu offers options related to manipulating and editing cells in your table, and looks like this:</p>

<p><img alt="Screenshot of the Table context menu's Cell submenu" src="https://mdn.mozillademos.org/files/15305/table%20context%20menu%20-%20cell%20submenu.png" style="height: 235px; width: 275px;"></p>

<p>These options should be fairly self-explanatory, with the exception that <strong>Merge Cells</strong> is available only if you have selected multiple cells; you can then use this option to combine them into a single cell. The <strong>Merge Right</strong> and <strong>Merge Down</strong> options merge the current cell with the one to the right, or below, respectively.</p>

<h3 id="Cell_Properties_dialog_box">Cell Properties dialog box</h3>

<p>The <strong>Cell Properties</strong> option opens a dialog box that gives you control over the details of a cell:</p>

<p><img alt="Screenshot of the Cell Properties dialog box" src="https://mdn.mozillademos.org/files/15307/Cell%20Properties%20dialog%20box.png" style="border-style: solid; border-width: 1px; height: 311px; width: 386px;"></p>

<p>The options you can configure here are:</p>

<dl>
 <dt>Width</dt>
 <dd>The width of the cell; you may change the units used for this value using the adjacent drop-down. <strong>Please don't use this.</strong> You shouldn't need to adjust widths of cells except in rare cases involving nesting images or example code within tables.</dd>
 <dt>Height</dt>
 <dd>The cell's height; this is always in pixels. <strong>Please don't use this.</strong> We prefer for cell sizes to be determined automatically, except in exceptionally rare cases.</dd>
 <dt>Word Wrap</dt>
 <dd>Specifies whether or not the cell's contents should be permitted to wrap. This should almost always be left at "Yes", the default.</dd>
 <dt>Horizontal Alignment</dt>
 <dd>Allows you to set the horizontal alignment for the cell's or cells' contents. This should almost always be left at the default.</dd>
 <dt>Vertical Alignment</dt>
 <dd>Lets you set the vertical alignment of the cell or cells. This should nearly always be left at the default, but may be adjusted if necessary.</dd>
 <dt>Cell Type</dt>
 <dd>Lets you specify whether the cell or cells contain data or header information. Making a row a header row gives it header styling that stands out from the data within the table.</dd>
 <dt>Rows Span</dt>
 <dd>Lets you specify how many rows the cell should take up within the table. Rarely needed, but useful for certain types of table.</dd>
 <dt>Columns Span</dt>
 <dd>Lets you indicate how many columns the cell should occupy within the table. You should rarely need to use this option.</dd>
 <dt>Background Color</dt>
 <dd>Lets you specify a background color for the cell. Please try to avoid using this; the rare cases in which changing the colors in a table are acceptable are covered by CSS classes.</dd>
 <dt>Border Color</dt>
 <dd>Lets you specify a border color for the cel. Please try to avoid using this; the rare cases in which changing the colors in a table are acceptable are covered by CSS classes.</dd>
</dl>

<h3 id="Row_submenu">Row submenu</h3>

<p>The <strong>Row</strong> submenu gives you options you may use to adjust and refine the rows in your table:</p>

<p><img alt="Screenshot of the Table context menu's Row submenu" src="https://mdn.mozillademos.org/files/15309/Table%20context%20menu%20-%20Row%20submenu.png" style="height: 164px; width: 247px;"></p>

<p>These options are all straightforward:</p>

<ul>
 <li><strong>Insert Row Before</strong> adds a new row before the current cursor position in the table</li>
 <li><strong>Insert Row After</strong> adds a new row below the current row</li>
 <li><strong>Delete Rows</strong> removes the row containing the insertion point, or all selected rows (or all rows on which you have selected cells)</li>
</ul>

<h3 id="Column_submenu">Column submenu</h3>

<p>The <strong>Column</strong> submenu lets you edit the columns in your table:</p>

<p><img alt="Screenshot of the Table context menu's Column submenu" src="https://mdn.mozillademos.org/files/15313/Table%20context%20menu%20-%20column%20submenu.png" style="height: 174px; width: 268px;"></p>

<p>These options mirror those in the row options menu:</p>

<ul>
 <li><strong>Insert Column Before</strong> adds a new column to the left of the current cursor position in the table (or to the right in right-to-left languages)</li>
 <li><strong>Insert Column After</strong> adds a new row to the right of the current location (or to the left in right-to-left languages)</li>
 <li><strong>Delete Columns</strong> removes the column containing the insertion point, or all selected columns (or all columns in which you have selected cells)</li>
</ul>

<p>{{EditorGuideQuicklinks}}</p>
